import * as React from "react";

export const LogoutContext = React.createContext<(() => void) | undefined>(
  undefined,
);

export function useLogout() {
  const context = React.useContext(LogoutContext);
  if (!context) {
    throw new Error("useLogout must be used within a LogoutProvider");
  }
  return context;
}
